Bug 136145 - local variable used before set
local variable used before set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dasher (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 07:40 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 00:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 169458 None None None Never

  None (edit)
Description David Binderman 2004-10-18 07:40:38 EDT
Description of problem:

I just tried to compile package dasher-3.2.11-4 from package
Redhat Fedora Core 3 Test 3.

The compiler said

edit.cc(417): warning #592: variable "endpos" is used before its value
is set

The source code is

    int endpos=endpos+1;

Bizzare code. This code sets endpos to one more than it's
uninitialised first value.

Suggest code re-work.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.